Document validation Start V2
Start the morphological validation process for identity documents by sending the document images, country and type of document to analyze.
Endpoint
POST /verify/documentValidation/v2/startHeaders
x-api-key
string
Yes
Access authorization API Key.
family
string
No
Value: Onboarding. Required with the Tracking service.
Request body
Content-Type: application/json
Parameters
country
string
Yes
Country code ISO 3166-1 alpha-3.
idType
string
Yes
Document type provided. Possible values: PASSPORT, DRIVING_LICENSE, ID_CARD, RESIDENCE_PERMIT, VISA
documentFrontRawImage
string
Yes
Image encoded in Base64, open or tokenized, on the front side of the document.
documentBackRawImage
string
No
Image encoded in Base64, open or tokenized, on the back side of the document. Optional for single-sided documents such as PASSPORT.
tokenRawFrontDocument
string
No
Image Token tokenized from the front side of the document, generated by the SDK Mobile/Web. Alternative to documentFrontRawImage when working with tokenized images.
tokenRawBackDocument
string
No
Image Token tokenized from the back side of the document, generated by the SDK Mobile/Web. Alternative to documentBackRawImage when working with tokenized images.
merchantIdScanReference
string
No
Custom reference for the operation. Maximum length: 100 characters.
documentRawImageMimeType
string
No
MIME type of the image. Possible values: image/png, image/jpeg
tracking
object
No
Object representing the required tracking information.
tracking.extraData
string
No
Token generated by the SDK Mobile/Web. It contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the SDK Mobile/Web.
Request example
Example request with tokenized images
Responses
200 Success
Response parameters
timestamp
string
UTC timestamp of the response in format ISO 8601.
scanReference
string
Reference number for each scan.
type
string
⚠️ Value deprecated. Will be removed in future versions.
Response example
400 Bad Request
401 Unauthorized
403 Forbidden
502 Bad Gateway
504 Gateway Timeout
Last updated